Subject: RE: [Simple] Question on draft-ietf-simple-presence-10 and Allow- Events

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Tue, 25 Nov 2003 14:11:41 -0000

Two further comments:

1)	At the San Francisco meeting between 3GPP and IETF, back in January, we had a long discussion of what IETF meant by SHOULD, and the view from at least some of the area directors was that effectively they expected to see the SHOULD implemented, and I believe Jonathan put forward the view that allowable reasons for not implementing the SHOULD are best reflected in the specification as further text. Should we therefore add this to bugs list for something that requires additional text in RFC 3265?

2)	You mention that this was really intended at INVITE requests. The text as written also applies to REFER dialogs. With respect to SUBSCRIBE dialogs, is not useful to indicate in a SUBSCRIBE response to event A that event package B and C are supported? Is it not the case that presence servers supporting the "presence" event, probably (i.e. SHOULD strength) also support the "presence.winfo" event template. Would it be useful to indicate this support, given that the support of one package is only a SHOULD, given the support of the other, or do you have some other way of determining this information? Thus user A subscribing for the presence of user B would get an indication of whether user A could see other users, e.g. user B, watching him.

regards

Keith

> -----Original Message-----
> From: Drage, Keith (Keith) [mailto:[email-masked]]
> Sent: 24 November 2003 00:05
> To: Adam Roach; Jonathan Rosenberg
> Cc: [email-masked]
> Subject: [Simple] Question on draft-ietf-simple-presence-10 and
> Allow-Events
> 
> 
> RFC 3265 section 3.3.7 indicates:
> 
>    Any node implementing one or more event packages SHOULD include an
>    appropriate "Allow-Events" header indicating all supported 
> events in
>    all methods which initiate dialogs and their responses (such as
>    INVITE) and OPTIONS responses.
> 
> The SUBSCRIBE request to an event package surely falls into 
> the category of a method initiating a dialog.
> 
> If I look at draft-ietf-simple-presence-10 then I find no 
> mention of the Allow-Events header, even though examples are 
> given for the contents of SUBSCRIBE and NOTIFY methods to 
> subscribe to the presence event package (section 8).
> 
> So should these examples contain an Allow-Events header value 
> of "presence" or is the acceptance of a subscription to a 
> package meant to be one of the cases when the SHOULD in RFC 
> 3265 does not apply. 
> 
> regards
> 
> Keith
> 
> Keith Drage
> Lucent Technologies
> [email-masked]
> tel: +44 1793 776249
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Wed, 26 Nov 2003 14:38:44 -0000

> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: 25 November 2003 19:19
> To: Drage, Keith (Keith)
> Cc: Adam Roach; [email-masked]
> Subject: Re: [Simple] Question on draft-ietf-simple-presence-10 and
> Allow- Events
> 
<snipped>

> 
> > Is it
> > not the case that presence servers supporting the "presence" event,
> > probably (i.e. SHOULD strength) also support the "presence.winfo"
> > event template.
> 
> We have never made that a requirement anywhere. I'm not sure its 
> IETF's job to do that.

I understood the following text from section 4.6 of draft-ietf-simple-winfo-package-05 specified this requirement. Have I misread this.

   "It is RECOMMENDED that user A be allowed to subscribe to their own
   watcher information for any package. This is true recursively, so
   that it is RECOMMENDED that a user be able to subscribe to the
   watcher information for their watcher information for any package."
> 
> 
>   Would it be useful to indicate this support, given
> > that the support of one package is only a SHOULD, given the support
> > of the other, or do you have some other way of determining this
> > information? Thus user A subscribing for the presence of user B
> > would get an indication of whether user A could see other users,
> > e.g. user B, watching him.
> 
> I agree that learning other packages that are supported would 
> be useful.
> 
> -Jonathan R.
> 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
>